diff -Naur tomato/release/src/router/pptp-client/options.pptp tomato121/release/src/router/pptp-client/options.pptp
--- tomato/release/src/router/pptp-client/options.pptp	1970-01-01 10:00:00.000000000 +1000
+++ tomato121/release/src/router/pptp-client/options.pptp	2008-04-22 21:44:06.000000000 +1000
@@ -0,0 +1,49 @@
+###############################################################################
+# $Id: options.pptp,v 1.1 2005/02/18 01:40:23 quozl Exp $
+#
+# Sample PPTP PPP options file /etc/ppp/options.pptp
+# Options used by PPP when a connection is made by a PPTP client.
+# This file can be referred to by an /etc/ppp/peers file for the tunnel.
+# Changes are effective on the next connection.  See "man pppd".
+#
+# You are expected to change this file to suit your system.  As
+# packaged, it requires PPP 2.4.2 or later from http://ppp.samba.org/
+# and the kernel MPPE module available from the CVS repository also on
+# http://ppp.samba.org/, which is packaged for DKMS as kernel_ppp_mppe.
+###############################################################################
+
+# Lock the port
+lock
+
+# Authentication
+# We don't need the tunnel server to authenticate itself
+noauth
+
+# We won't do EAP, CHAP, or MSCHAP, but we will accept MSCHAP-V2
+refuse-eap
+refuse-chap
+refuse-mschap
+
+# Compression
+# Turn off compression protocols we know won't be used
+nobsdcomp
+nodeflate
+
+# Encryption
+# (There have been multiple versions of PPP with encryption support,
+# choose with of the following sections you will use.  Note that MPPE
+# requires the use of MSCHAP-V2 during authentication)
+
+# http://ppp.samba.org/ the PPP project version of PPP by Paul Mackarras
+# ppp-2.4.2 or later with MPPE only, kernel module ppp_mppe.o
+# {{{
+# Require MPPE 128-bit encryption
+require-mppe-128
+# }}}
+
+# http://polbox.com/h/hs001/ fork from PPP project by Jan Dubiec
+# ppp-2.4.2 or later with MPPE and MPPC, kernel module ppp_mppe_mppc.o
+# {{{
+# Require MPPE 128-bit encryption
+#mppe required,stateless
+# }}}
diff -Naur tomato/release/src/router/pptp-client/orckit_quirks.c tomato121/release/src/router/pptp-client/orckit_quirks.c
--- tomato/release/src/router/pptp-client/orckit_quirks.c	2006-08-03 17:07:34.000000000 +1000
+++ tomato121/release/src/router/pptp-client/orckit_quirks.c	2008-04-22 21:44:06.000000000 +1000
@@ -1,7 +1,7 @@
 /* orckit_quirks.c ...... fix quirks in orckit adsl modems
  *                        mulix <mulix@actcom.co.il>
  *
- * $Id: orckit_quirks.c,v 1.1.1.1 2002/07/25 06:52:39 honor Exp $
+ * $Id: orckit_quirks.c,v 1.3 2002/03/01 01:23:36 quozl Exp $
  */
 
 #include <string.h>
diff -Naur tomato/release/src/router/pptp-client/orckit_quirks.h tomato121/release/src/router/pptp-client/orckit_quirks.h
--- tomato/release/src/router/pptp-client/orckit_quirks.h	2006-08-03 17:07:34.000000000 +1000
+++ tomato121/release/src/router/pptp-client/orckit_quirks.h	2008-04-22 21:44:06.000000000 +1000
@@ -1,7 +1,7 @@
 /* orckit_quirks.h ...... fix quirks in orckit adsl modems
  *                        mulix <mulix@actcom.co.il>
  *
- * $Id: orckit_quirks.h,v 1.1.1.1 2002/07/25 06:52:39 honor Exp $
+ * $Id: orckit_quirks.h,v 1.2 2001/11/23 03:42:51 quozl Exp $
  */
 
 #ifndef INC_ORCKIT_QUIRKS_H_
diff -Naur tomato/release/src/router/pptp-client/ppp_fcs.c tomato121/release/src/router/pptp-client/ppp_fcs.c
--- tomato/release/src/router/pptp-client/ppp_fcs.c	2006-08-03 17:07:34.000000000 +1000
+++ tomato121/release/src/router/pptp-client/ppp_fcs.c	2008-04-22 21:44:06.000000000 +1000
@@ -15,7 +15,7 @@
  *
  *  [9]   LeVan, J., "A Fast CRC", Byte, November 1987.
  *
- * $Id: ppp_fcs.c,v 1.1.1.1 2002/07/25 06:52:39 honor Exp $
+ * $Id: ppp_fcs.c,v 1.2 2003/06/17 17:25:47 reink Exp $
  */
 
 #include <sys/types.h>
@@ -78,13 +78,16 @@
  * Calculate a new fcs given the current fcs and the new data.
  */
 u16 pppfcs16(u16 fcs, void *_cp, int len)
-{   register unsigned char *cp = (unsigned char *)_cp;
-
+{
+    register unsigned char *cp = (unsigned char *)_cp;
+    /* don't worry about the efficiency of these asserts here.  gcc will
+     * recognise that the asserted expressions are constant and remove them.
+     * Whether they are usefull is another question. 
+     */
     ASSERT(sizeof (u16) == 2);
     ASSERT(((u16) -1) > 0);
     while (len--)
         fcs = (fcs >> 8) ^ fcstab[(fcs ^ *cp++) & 0xff];
-
     return (fcs);
 }
 
diff -Naur tomato/release/src/router/pptp-client/ppp_fcs.h tomato121/release/src/router/pptp-client/ppp_fcs.h
--- tomato/release/src/router/pptp-client/ppp_fcs.h	2006-08-03 17:07:34.000000000 +1000
+++ tomato121/release/src/router/pptp-client/ppp_fcs.h	2008-04-22 21:44:06.000000000 +1000
@@ -1,7 +1,7 @@
 /* ppp_fcs.h ... header file for PPP-HDLC FCS 
  *               C. Scott Ananian <cananian@alumni.princeton.edu>
  *
- * $Id: ppp_fcs.h,v 1.1.1.1 2002/07/25 06:52:39 honor Exp $
+ * $Id: ppp_fcs.h,v 1.1.1.1 2000/12/23 08:19:51 scott Exp $
  */ 
 
 #define PPPINITFCS16    0xffff  /* Initial FCS value */
